/**
 * JPaaS
 * Copyright 2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * $Id:$
 */

package org.ow2.jonas.jpaas.sr.model;

import org.ow2.jonas.jpaas.sr.facade.vo.ConnectorVO;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

/**
 * Define a Connector
 * @author David Richard
 */
@javax.persistence.Entity
@Table
public class Connector implements java.io.Serializable {

    /**
     * key of the Connector.
     */
    @Id
    @GeneratedValue
    private long key;

    /**
     * Name of the Connector.
     */
    private String name;

    /**
     * port of the Connector.
     */
    private int port;

    /**
     * Jonas of the Connector.
     */
    @ManyToOne(optional=false)
    private Jonas jonas;


    public long getKey() {
        return key;
    }

    public void setKey(long key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append("Connector[key=").append(getKey())
                .append(", name=").append(getName())
                .append(", port=").append(getPort())
                .append(", jonas=").append(getJonas())
                .append("]");
        return sb.toString();
    }


    public Jonas getJonas() {
        return jonas;
    }

    public void setJonas(Jonas jonas) {
        this.jonas = jonas;
    }

    public ConnectorVO createConnectorVO() {
        return new ConnectorVO(name, port);
    }


}
